# Class VotLinter

java.lang.Object
uk.ac.starlink.ttools.votlint.VotLinter

public class VotLinter extends Object
Main class for performing a VOTable lint.

Since:
  7 Apr 2005
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`VotLinter(VotLintContext context)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`XMLReader`
`createParser(ContentHandler userHandler)`
Constructs a linting parser.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VotLinter

public VotLinter(VotLintContext context)
Constructor.

Parameters:
  `context` - lint context

## Method Details

### createParser

public XMLReader createParser(ContentHandler userHandler) throws SAXException
Constructs a linting parser. Parsing a SAX stream with this object will perform the validation. A user-supplied content handler may additionally be supplied; if so, all SAX events will be fed to this handler as well as to the linting handlers.

Parameters:
  `userHandler` - content handler that receives all SAX events, or null if only linting is required
Returns:
  parser
Throws:
  `SAXException`